package com.bonus.canteen.core.supply.dto;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.time.LocalDateTime;

public class OpenDrpIntoInventoryListDTO {
   @ApiModelProperty("入库单号")
   private String intoId;
   @ApiModelProperty("仓库名称")
   private String warehouseName;
   @ApiModelProperty("入库时间段开始时间")
   private @NotNull(
   message = "开始时间不能为空!"
) LocalDateTime startTime;
   @ApiModelProperty("入库时间段结束时间")
   private @NotNull(
   message = "结束时间不能为空!"
) LocalDateTime endTime;
   @ApiModelProperty("入库状态(1-待入库,2-已入库)")
   private Integer status;
   @ApiModelProperty("入库类型(1-采购入库,2-退料入库,3-调拨入库,5-即入即出,6-超市退单入库,7-盘点入库)")
   private Integer intoType;

   public String getIntoId() {
      return this.intoId;
   }

   public String getWarehouseName() {
      return this.warehouseName;
   }

   public LocalDateTime getStartTime() {
      return this.startTime;
   }

   public LocalDateTime getEndTime() {
      return this.endTime;
   }

   public Integer getStatus() {
      return this.status;
   }

   public Integer getIntoType() {
      return this.intoType;
   }

   public void setIntoId(final String intoId) {
      this.intoId = intoId;
   }

   public void setWarehouseName(final String warehouseName) {
      this.warehouseName = warehouseName;
   }

   public void setStartTime(final LocalDateTime startTime) {
      this.startTime = startTime;
   }

   public void setEndTime(final LocalDateTime endTime) {
      this.endTime = endTime;
   }

   public void setStatus(final Integer status) {
      this.status = status;
   }

   public void setIntoType(final Integer intoType) {
      this.intoType = intoType;
   }


   public String toString() {
      String var10000 = this.getIntoId();
      return "OpenDrpIntoInventoryListDTO(intoId=" + var10000 + ", warehouseName=" + this.getWarehouseName() + ", startTime=" + String.valueOf(this.getStartTime()) + ", endTime=" + String.valueOf(this.getEndTime()) + ", status=" + this.getStatus() + ", intoType=" + this.getIntoType() + ")";
   }
}
